services:
    wwokk4gck884os8g8w40sww4-084151301389:
        image: 'wwokk4gck884os8g8w40sww4:0511af0c46cc2b2720752194fd94780234b6b988'
        container_name: wwokk4gck884os8g8w40sww4-084151301389
        restart: unless-stopped
        expose:
            - '80'
        networks:
            u08884gw40g0ow0w8ss0gco0:
                aliases:
                    - wwokk4gck884os8g8w40sww4-084151301389
        mem_limit: '0'
        memswap_limit: '0'
        mem_swappiness: 60
        mem_reservation: '0'
        cpus: 0.0
        cpu_shares: 1024
        env_file:
            - .env
        labels:
            - traefik.enable=true
            - traefik.http.middlewares.gzip.compress=true
            - traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https
            - traefik.http.routers.http-0-wwokk4gck884os8g8w40sww4.entryPoints=http
            - traefik.http.routers.http-0-wwokk4gck884os8g8w40sww4.middlewares=redirect-to-https
            - 'traefik.http.routers.http-0-wwokk4gck884os8g8w40sww4.rule=Host(`b1-2026-workshop2.gobelinsannecy.fr`) && PathPrefix(`/`)'
            - traefik.http.routers.http-0-wwokk4gck884os8g8w40sww4.service=http-0-wwokk4gck884os8g8w40sww4
            - traefik.http.routers.http-1-wwokk4gck884os8g8w40sww4.entryPoints=http
            - traefik.http.routers.http-1-wwokk4gck884os8g8w40sww4.middlewares=gzip
            - 'traefik.http.routers.http-1-wwokk4gck884os8g8w40sww4.rule=Host(`b1-2026-workshop2.gobelinsannecy.fr`) && PathPrefix(`/`)'
            - traefik.http.routers.http-1-wwokk4gck884os8g8w40sww4.service=http-1-wwokk4gck884os8g8w40sww4
            - traefik.http.routers.https-0-wwokk4gck884os8g8w40sww4.entryPoints=https
            - traefik.http.routers.https-0-wwokk4gck884os8g8w40sww4.middlewares=gzip
            - 'traefik.http.routers.https-0-wwokk4gck884os8g8w40sww4.rule=Host(`b1-2026-workshop2.gobelinsannecy.fr`) && PathPrefix(`/`)'
            - traefik.http.routers.https-0-wwokk4gck884os8g8w40sww4.service=https-0-wwokk4gck884os8g8w40sww4
            - traefik.http.routers.https-0-wwokk4gck884os8g8w40sww4.tls.certresolver=letsencrypt
            - traefik.http.routers.https-0-wwokk4gck884os8g8w40sww4.tls=true
            - traefik.http.services.http-0-wwokk4gck884os8g8w40sww4.loadbalancer.server.port=80
            - traefik.http.services.http-1-wwokk4gck884os8g8w40sww4.loadbalancer.server.port=80
            - traefik.http.services.https-0-wwokk4gck884os8g8w40sww4.loadbalancer.server.port=80
            - 'caddy_0.encode=zstd gzip'
            - 'caddy_0.handle_path.0_reverse_proxy={{upstreams 80}}'
            - 'caddy_0.handle_path=/*'
            - caddy_0.header=-Server
            - 'caddy_0.try_files={path} /index.html /index.php'
            - 'caddy_0=https://b1-2026-workshop2.gobelinsannecy.fr'
            - 'caddy_1.encode=zstd gzip'
            - 'caddy_1.handle_path.1_reverse_proxy={{upstreams 80}}'
            - 'caddy_1.handle_path=/*'
            - caddy_1.header=-Server
            - 'caddy_1.try_files={path} /index.html /index.php'
            - 'caddy_1=http://b1-2026-workshop2.gobelinsannecy.fr'
            - caddy_ingress_network=u08884gw40g0ow0w8ss0gco0
            - coolify.managed=true
            - coolify.version=4.0.0-beta.442
            - coolify.applicationId=9
            - coolify.type=application
            - coolify.name=wwokk4gck884os8g8w40sww4
            - coolify.resourceName=github-maxime908workshop2
            - coolify.projectName=php-project-2026-workshop-2
            - coolify.serviceName=github-maxime908workshop2
            - coolify.environmentName=production
            - coolify.pullRequestId=0
networks:
    u08884gw40g0ow0w8ss0gco0:
        external: true
        name: u08884gw40g0ow0w8ss0gco0
        attachable: true
